Page MenuHomePhabricator

Have a switch to enable RevisionSlider by default on selected wikis
Closed, ResolvedPublic

Description

Currently if the slider is deployed alongside the betafeatures extension it will always be a beta feature.
In order to deploy on some wikis as a BF and others not as a BF we need a new switch / global that will ignore the BF extension.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 19 2016, 2:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore updated the task description. (Show Details)Oct 19 2016, 2:27 PM
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Oct 19 2016, 2:34 PM
Addshore claimed this task.Oct 22 2016, 2:41 PM
Addshore moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team board.
Addshore added a project: User-Addshore.
Addshore moved this task from Unsorted 💣 to Back Burner 🏛️ on the User-Addshore board.

Change 317320 had a related patch set uploaded (by Addshore):
Add a betaFeature switch

https://gerrit.wikimedia.org/r/317320

Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore moved this task from Done to Currently in sprint on the WMDE-QWERTY-Team board.
Addshore moved this task from Closing ✔️ to Active 🚁 on the User-Addshore board.
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.

Change 317320 merged by jenkins-bot:
Add a betaFeature switch

https://gerrit.wikimedia.org/r/317320

Addshore closed this task as Resolved.Oct 24 2016, 2:46 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Oct 25 2016, 2:22 PM